/* utils/dialog.css */

.dialog {
    padding: 0;
    width: min(720px, calc(100% - 40px));
    border: 5px solid var(--color-azul-verde-oscuro);
    background-color: var(--color-gris-claro);
}
.dialog::backdrop {
    background: rgba(0,0,0,.45);
}
.dialog-formulario {
    padding: 20px;
}
.dialog-titulo {
    margin: 0;
    font-family: 'Elza Text', sans-serif;
    font-size: var(--fs-500);
    font-weight: 600;
    color: var(--color-azul-verde-oscuro);
}
.dialog-seccion {
    margin-top: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}
.dialog-seccion > div {
    display: flex;
    flex-direction: column;
    gap: 5px;
    min-width: 0;
}
.dialog-label {
    display: block;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-300);
    font-weight: 400;
    color: var(--color-azul-verde-oscuro);
}
.dialog-input {
    padding: 0 10px;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-200);
    font-weight: 300;
    color: var(--color-azul-verde-oscuro);
    box-sizing: border-box;
    border: 2px solid var(--color-azul-verde-oscuro);
    min-height: 45px;
}
.dialog-input-image {
    padding: 10px;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-200);
    font-weight: 300;
    color: var(--color-azul-verde-oscuro);
    box-sizing: border-box;
    border: 2px solid var(--color-azul-verde-oscuro);
    background-color: var(--color-blanco);
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 45px;
}
.dialog-imagen-preview {
    margin-top: 15px;
    border: 2px dashed var(--color-azul-verde-oscuro);
    padding: 5px;
    box-sizing: border-box;
}
.dialog-imagen-preview img {
    display: block;
    object-fit: contain;
    width: 100%;
    height: auto;
}
.dialog-textarea {
    min-height: 100px;
    max-height: 200px;
    padding: 12px 10px;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-200);
    font-weight: 300;
    color: var(--color-azul-verde-oscuro);
    resize: vertical;
    box-sizing: border-box;
    border: 2px solid var(--color-azul-verde-oscuro);
}
.dialog-select {
    padding: 0 10px;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-200);
    font-weight: 700;
    color: var(--color-azul-verde-oscuro);
    border: 2px solid var(--color-azul-verde-oscuro);

    min-height: 45px;
}

.dialog-menu {
    margin: 20px 0 0 0;
    display: flex;
    gap: 10px;
    justify-content: flex-end;
}
.dialog-boton {
    padding: 8px 10px;
    font-family: 'Elza Text', sans-serif;
    font-size: var(--fs-200);
    font-weight: 600;
    color: var(--color-azul-verde-oscuro);
    cursor: pointer;
    border: 2px solid var(--color-azul-verde-oscuro);
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}
.dialog-boton:hover,
.dialog-boton:focus-visible {
    transform: scale(1.15);
}
.dialog-boton:active {
    transform: scale(1);
    opacity: 0.5;
}
.dialog-boton-cancelar {
    background: var(--color-gris);
    color: var(--color-azul-verde-oscuro);
}
.dialog-boton-guardar {
    background: var(--color-rojo);
    color: var(--color-blanco);
}
.dialog-mensaje {
    margin: 20px 0 0 0;
    font-family: 'Elza Text', serif;
    font-size: var(--fs-300);
    font-weight: 600;
    opacity: 0;
}
.dialog-mensaje[data-type="1"] {
    color: var(--color-azul-verde-oscuro);
    opacity: 1;
}
.dialog-mensaje[data-type="2"] {
    color: var(--color-rojo);
    opacity: 1;
}

.dialog-embed__primera-seccion > div:nth-child(1) { flex: 1 1 auto; } /* puede crecer */ /* puede encogerse */

.dialog-medio__primera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-medio__primera-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-medio__segunda-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-medio__tercera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-medio__tercera-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-medio__cuarta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-medio__imagen-preview {
    width: min(125px, 100%);
}

.dialog-comunidad-investigacion__primera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-comunidad-investigacion__segunda-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-comunidad-investigacion__segunda-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-comunidad-investigacion__tercera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-comunidad-investigacion__cuarta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-comunidad-investigacion__imagen-preview {
    width: min(400px, 100%);
}

.dialog-investigacion__primera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-investigacion__primera-seccion > div:nth-child(2) { flex: 3 1 auto; }
.dialog-investigacion__segunda-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-investigacion__segunda-seccion > div:nth-child(2) { flex: 3 1 auto; }
.dialog-investigacion__tercera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-investigacion__cuarta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-investigacion__cuarta-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-investigacion__quinta-seccion > div:nth-child(1) { flex: 1 1 auto; } 
.dialog-investigacion__imagen-preview {
    width: min(400px, 100%);
}

.dialog-recurso__primera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__primera-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-recurso__segunda-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__segunda-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-recurso__tercera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__tercera-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-recurso__tercera-seccion > div:nth-child(3) { flex: 1 1 auto; }
.dialog-recurso__cuarta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__quinta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__sexta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-recurso__imagen-preview {
    width: min(400px, 100%);
}

.dialog-publicacion__primera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__primera-seccion > div:nth-child(2) { flex: 3 1 auto; }
.dialog-publicacion__segunda-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__segunda-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-publicacion__tercera-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__tercera-seccion > div:nth-child(2) { flex: 1 1 auto; }
.dialog-publicacion__cuarta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__quinta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__sexta-seccion > div:nth-child(1) { flex: 1 1 auto; }
.dialog-publicacion__septima-seccion > div:nth-child(1) { flex: 1 1 auto; }